package de.blitzkasse.mobilegastrolite.fiskal.tse.bean;

import java.util.Arrays;

import de.blitzkasse.mobilegastrolite.util.DateUtils;

public class TSEInit { 
	public byte[] AdminPin = new byte[] {49,50,51,52,53,54,55,56};
	public byte[] AdminPuk = new byte[] {49,50,51,52,53,54, 55, 56, 57, 48};
	public byte[] TimeAdminPin = new byte[] {49,50,51,52,53,54, 55, 56};
	public byte[] TimeAdminPuk = new byte[] {49,50,51,52,53,54, 55, 56, 57, 48};
	public String DevicePath = "/media/usb";
	public String ClientId = "BlitzKasse";
	public long Date = DateUtils.getNowTimeStamp();
	public boolean SwissbitTSE = false;
	
	
	public TSEInit () {
	}
	
	
	public byte[] getAdminPin() {
		return AdminPin;
	}
	public void setAdminPin(byte[] adminPin) {
		AdminPin = adminPin;
	}
	public byte[] getAdminPuk() {
		return AdminPuk;
	}
	public void setAdminPuk(byte[] adminPuk) {
		AdminPuk = adminPuk;
	}
	public byte[] getTimeAdminPin() {
		return TimeAdminPin;
	}
	public void setTimeAdminPin(byte[] timeAdminPin) {
		TimeAdminPin = timeAdminPin;
	}
	public byte[] getTimeAdminPuk() {
		return TimeAdminPuk;
	}
	public void setTimeAdminPuk(byte[] timeAdminPuk) {
		TimeAdminPuk = timeAdminPuk;
	}
	public String getDevicePath() {
		return DevicePath;
	}
	public void setDevicePath(String devicePath) {
		DevicePath = devicePath;
	}
	public String getClientId() {
		return ClientId;
	}
	public void setClientId(String clientId) {
		ClientId = clientId;
	}
	public long getDate() {
		return Date;
	}
	public void setDate(long date) {
		Date = date;
	}
	public boolean isSwissbitTSE() {
		return SwissbitTSE;
	}
	public void setSwissbitTSE(boolean swissbitTSE) {
		SwissbitTSE = swissbitTSE;
	}
	@Override
	public String toString() {
		return "TSEInit [AdminPin=" + Arrays.toString(AdminPin) + ", AdminPuk="
				+ Arrays.toString(AdminPuk) + ", TimeAdminPin="
				+ Arrays.toString(TimeAdminPin) + ", TimeAdminPuk="
				+ Arrays.toString(TimeAdminPuk) + ", DevicePath=" + DevicePath
				+ ", ClientId=" + ClientId + ", Date=" + Date
				+ ", SwissbitTSE=" + SwissbitTSE + "]";
	}
	
	
	
}
    
    
