package de.blitzkassewinmac.rest.bean;

import java.util.List;

    public class LastPaidOrderWrapper {
    	
        public static String PaymentModeCasch = "Cash";
        public static String PaymentModeEcCard = "EC CARD";
        public static int PaymentInHouseMode = 1;
        public static int PaymentOutOfHausMode = 2;

        private int id;
        private String receiptNumber = "";
        private String paymentOrdersNumber = "";
        private String paymentMode = "";
        private int productCount;
        private int levelDetailId;
        private String levelDetailText;
        private float discountSum;
        private float customerDiscount;
        private String customerText = "";
        private String customerNumber = "";
        private int personnelId;
        private String personnelName = "";
        private long date;
        private String stringDate = "";
        private float summ;
        private boolean paid;
        private boolean isReversal;
        private String shippingAdress = "";
        private int orderMode;
        private float moneyGiven;
        private float tippingMoney;
        private float returnMoney;       
        private float inputMoney;
        private float outputMoney;
        private String comment = "";
        private String deviceId = "";
        private boolean serverReadSuccessful;
        public String receiptsSignature = "";
        
        /* SoldProducts */
        private List <SoldProductWrapper> receiptItems;
        
		/**
		 * @return the paymentModeCasch
		 */
		public static String getPaymentModeCasch() {
			return PaymentModeCasch;
		}
		/**
		 * @param paymentModeCasch the paymentModeCasch to set
		 */
		public static void setPaymentModeCasch(String paymentModeCasch) {
			PaymentModeCasch = paymentModeCasch;
		}
		/**
		 * @return the paymentModeEcCard
		 */
		public static String getPaymentModeEcCard() {
			return PaymentModeEcCard;
		}
		/**
		 * @param paymentModeEcCard the paymentModeEcCard to set
		 */
		public static void setPaymentModeEcCard(String paymentModeEcCard) {
			PaymentModeEcCard = paymentModeEcCard;
		}
		/**
		 * @return the paymentInHouseMode
		 */
		public static int getPaymentInHouseMode() {
			return PaymentInHouseMode;
		}
		/**
		 * @param paymentInHouseMode the paymentInHouseMode to set
		 */
		public static void setPaymentInHouseMode(int paymentInHouseMode) {
			PaymentInHouseMode = paymentInHouseMode;
		}
		/**
		 * @return the paymentOutOfHausMode
		 */
		public static int getPaymentOutOfHausMode() {
			return PaymentOutOfHausMode;
		}
		/**
		 * @param paymentOutOfHausMode the paymentOutOfHausMode to set
		 */
		public static void setPaymentOutOfHausMode(int paymentOutOfHausMode) {
			PaymentOutOfHausMode = paymentOutOfHausMode;
		}
		/**
		 * @return the id
		 */
		public int getId() {
			return id;
		}
		/**
		 * @param id the id to set
		 */
		public void setId(int id) {
			this.id = id;
		}
		/**
		 * @return the receiptNumber
		 */
		public String getReceiptNumber() {
			return receiptNumber;
		}
		/**
		 * @param receiptNumber the receiptNumber to set
		 */
		public void setReceiptNumber(String receiptNumber) {
			this.receiptNumber = receiptNumber;
		}
		/**
		 * @return the paymentOrdersNumber
		 */
		public String getPaymentOrdersNumber() {
			return paymentOrdersNumber;
		}
		/**
		 * @param paymentOrdersNumber the paymentOrdersNumber to set
		 */
		public void setPaymentOrdersNumber(String paymentOrdersNumber) {
			this.paymentOrdersNumber = paymentOrdersNumber;
		}
		/**
		 * @return the paymentMode
		 */
		public String getPaymentMode() {
			return paymentMode;
		}
		/**
		 * @param paymentMode the paymentMode to set
		 */
		public void setPaymentMode(String paymentMode) {
			this.paymentMode = paymentMode;
		}
		/**
		 * @return the productCount
		 */
		public int getProductCount() {
			return productCount;
		}
		/**
		 * @param productCount the productCount to set
		 */
		public void setProductCount(int productCount) {
			this.productCount = productCount;
		}
		/**
		 * @return the levelDetailId
		 */
		public int getLevelDetailId() {
			return levelDetailId;
		}
		/**
		 * @param levelDetailId the levelDetailId to set
		 */
		public void setLevelDetailId(int levelDetailId) {
			this.levelDetailId = levelDetailId;
		}
		/**
		 * @return the levelDetailText
		 */
		public String getLevelDetailText() {
			return levelDetailText;
		}
		/**
		 * @param levelDetailText the levelDetailText to set
		 */
		public void setLevelDetailText(String levelDetailText) {
			this.levelDetailText = levelDetailText;
		}
		/**
		 * @return the discountSum
		 */
		public float getDiscountSum() {
			return discountSum;
		}
		/**
		 * @param discountSum the discountSum to set
		 */
		public void setDiscountSum(float discountSum) {
			this.discountSum = discountSum;
		}
		/**
		 * @return the cstomerDiscount
		 */
		public float getCustomerDiscount() {
			return customerDiscount;
		}
		/**
		 * @param cstomerDiscount the cstomerDiscount to set
		 */
		public void setCustomerDiscount(float customerDiscount) {
			this.customerDiscount = customerDiscount;
		}
		/**
		 * @return the customerText
		 */
		public String getCustomerText() {
			return customerText;
		}
		/**
		 * @param customerText the customerText to set
		 */
		public void setCustomerText(String customerText) {
			this.customerText = customerText;
		}
		/**
		 * @return the customerNumber
		 */
		public String getCustomerNumber() {
			return customerNumber;
		}
		/**
		 * @param customerNumber the customerNumber to set
		 */
		public void setCustomerNumber(String customerNumber) {
			customerNumber = customerNumber;
		}
		/**
		 * @return the personnelId
		 */
		public int getPersonnelId() {
			return personnelId;
		}
		/**
		 * @param personnelId the personnelId to set
		 */
		public void setPersonnelId(int personnelId) {
			this.personnelId = personnelId;
		}
		/**
		 * @return the personnelName
		 */
		public String getPersonnelName() {
			return personnelName;
		}
		/**
		 * @param personnelName the personnelName to set
		 */
		public void setPersonnelName(String personnelName) {
			this.personnelName = personnelName;
		}
		/**
		 * @return the date
		 */
		public long getDate() {
			return date;
		}
		/**
		 * @param date the date to set
		 */
		public void setDate(long date) {
			this.date = date;
		}
		/**
		 * @return the stringDate
		 */
		public String getStringDate() {
			return stringDate;
		}
		/**
		 * @param stringDate the stringDate to set
		 */
		public void setStringDate(String stringDate) {
			this.stringDate = stringDate;
		}
		/**
		 * @return the summ
		 */
		public float getSumm() {
			return summ;
		}
		/**
		 * @param summ the summ to set
		 */
		public void setSumm(float summ) {
			this.summ = summ;
		}
		/**
		 * @return the paid
		 */
		public boolean isPaid() {
			return paid;
		}
		/**
		 * @param paid the paid to set
		 */
		public void setPaid(boolean paid) {
			this.paid = paid;
		}
		/**
		 * @return the isReversal
		 */
		public boolean isReversal() {
			return isReversal;
		}
		/**
		 * @param isReversal the isReversal to set
		 */
		public void setReversal(boolean isReversal) {
			this.isReversal = isReversal;
		}
		/**
		 * @return the shippingAdress
		 */
		public String getShippingAdress() {
			return shippingAdress;
		}
		/**
		 * @param shippingAdress the shippingAdress to set
		 */
		public void setShippingAdress(String shippingAdress) {
			this.shippingAdress = shippingAdress;
		}
		/**
		 * @return the orderMode
		 */
		public int getOrderMode() {
			return orderMode;
		}
		/**
		 * @param orderMode the orderMode to set
		 */
		public void setOrderMode(int orderMode) {
			this.orderMode = orderMode;
		}
		/**
		 * @return the moneyGiven
		 */
		public float getMoneyGiven() {
			return moneyGiven;
		}
		/**
		 * @param moneyGiven the moneyGiven to set
		 */
		public void setMoneyGiven(float moneyGiven) {
			this.moneyGiven = moneyGiven;
		}
		/**
		 * @return the tippingMoney
		 */
		public float getTippingMoney() {
			return tippingMoney;
		}
		/**
		 * @param tippingMoney the tippingMoney to set
		 */
		public void setTippingMoney(float tippingMoney) {
			this.tippingMoney = tippingMoney;
		}
		/**
		 * @return the returnMoney
		 */
		public float getReturnMoney() {
			return returnMoney;
		}
		/**
		 * @param returnMoney the returnMoney to set
		 */
		public void setReturnMoney(float returnMoney) {
			this.returnMoney = returnMoney;
		}
		/**
		 * @return the inputMoney
		 */
		public float getInputMoney() {
			return inputMoney;
		}
		/**
		 * @param inputMoney the inputMoney to set
		 */
		public void setInputMoney(float inputMoney) {
			this.inputMoney = inputMoney;
		}
		/**
		 * @return the outputMoney
		 */
		public float getOutputMoney() {
			return outputMoney;
		}
		/**
		 * @param outputMoney the outputMoney to set
		 */
		public void setOutputMoney(float outputMoney) {
			this.outputMoney = outputMoney;
		}
		/**
		 * @return the comment
		 */
		public String getComment() {
			return comment;
		}
		/**
		 * @param comment the comment to set
		 */
		public void setComment(String comment) {
			this.comment = comment;
		}
		/**
		 * @return the deviceId
		 */
		public String getDeviceId() {
			return deviceId;
		}
		/**
		 * @param deviceId the deviceId to set
		 */
		public void setDeviceId(String deviceId) {
			this.deviceId = deviceId;
		}
		/**
		 * @return the serverReadSuccessful
		 */
		public boolean isServerReadSuccessful() {
			return serverReadSuccessful;
		}
		/**
		 * @param serverReadSuccessful the serverReadSuccessful to set
		 */
		public void setServerReadSuccessful(boolean serverReadSuccessful) {
			this.serverReadSuccessful = serverReadSuccessful;
		}
		/**
		 * @return the receiptsSignature
		 */
		public String getReceiptsSignature() {
			return receiptsSignature;
		}
		/**
		 * @param receiptsSignature the receiptsSignature to set
		 */
		public void setReceiptsSignature(String receiptsSignature) {
			this.receiptsSignature = receiptsSignature;
		}
		/**
		 * @return the receitItems
		 */
		public List<SoldProductWrapper> getReceitItems() {
			return receiptItems;
		}
		/**
		 * @param receitItems the receitItems to set
		 */
		public void setReceitItems(List<SoldProductWrapper> receitItems) {
			this.receiptItems = receitItems;
		}
		/* (non-Javadoc)
		 * @see java.lang.Object#toString()
		 */
		@Override
		public String toString() {
			return "LastPaidOrderWrapper [id=" + id + ", receiptNumber="
					+ receiptNumber + ", paymentOrdersNumber="
					+ paymentOrdersNumber + ", paymentMode=" + paymentMode
					+ ", productCount=" + productCount + ", levelDetailId="
					+ levelDetailId + ", levelDetailText=" + levelDetailText
					+ ", discountSum=" + discountSum + ", customerDiscount="
					+ customerDiscount + ", customerText=" + customerText
					+ ", customerNumber=" + customerNumber + ", personnelId="
					+ personnelId + ", personnelName=" + personnelName
					+ ", date=" + date + ", stringDate=" + stringDate
					+ ", summ=" + summ + ", paid=" + paid + ", isReversal="
					+ isReversal + ", shippingAdress=" + shippingAdress
					+ ", orderMode=" + orderMode + ", moneyGiven=" + moneyGiven
					+ ", tippingMoney=" + tippingMoney + ", returnMoney="
					+ returnMoney + ", inputMoney=" + inputMoney
					+ ", outputMoney=" + outputMoney + ", comment=" + comment
					+ ", deviceId=" + deviceId + ", serverReadSuccessful="
					+ serverReadSuccessful + ", receiptsSignature="
					+ receiptsSignature + ", receitItems=" + receiptItems + "]";
		}

		


        
}