package de.blitzkassewinmac.rest.bean;


public class PrinterDriverWrapper {
	private int id;
	private String winHandle = "";
	private String name = "";
	private String ipAdress = "";
	private int port;
	
	private int lineCharCount;
	private int lineSpacing;
	private int alignLeft;
	private int alignCenter;
	private int alignRight;
	private int printImageNormal;
	private int printImageDoubleWidth;
	private int printImageDoubleHeight;
	private int printImageQuadruple;
	
	private byte [] printNvImageCommand;
	private byte [] printNvnImageCommandStart;
	private byte [] lineFeedCommand;
	private byte [] initPrinterCommand;
	private byte [] cutPaperCommand;
	private byte [] openCashDrawerCommand;
	private byte [] setPrintModeCommand;
	private byte [] setCharsetCommand;
	private byte [] setTextAlignCommand;
	private byte [] setDefaultLineSpacingCommand;
	private byte [] setLineSpacingCommand;
	private boolean useStandartCommands = true;
	
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getWinHandle() {
		return winHandle;
	}
	public void setWinHandle(String winHandle) {
		this.winHandle = winHandle;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getIpAdress() {
		return ipAdress;
	}
	public void setIpAdress(String ipAdress) {
		this.ipAdress = ipAdress;
	}
	public int getPort() {
		return port;
	}
	public void setPort(int port) {
		this.port = port;
	}
	public int getLineCharCount() {
		return lineCharCount;
	}
	public void setLineCharCount(int lineCharCount) {
		this.lineCharCount = lineCharCount;
	}
	public int getLineSpacing() {
		return lineSpacing;
	}
	public void setLineSpacing(int lineSpacing) {
		this.lineSpacing = lineSpacing;
	}
	public int getAlignLeft() {
		return alignLeft;
	}
	public void setAlignLeft(int alignLeft) {
		this.alignLeft = alignLeft;
	}
	public int getAlignCenter() {
		return alignCenter;
	}
	public void setAlignCenter(int alignCenter) {
		this.alignCenter = alignCenter;
	}
	public int getAlignRight() {
		return alignRight;
	}
	public void setAlignRight(int alignRight) {
		this.alignRight = alignRight;
	}
	public int getPrintImageNormal() {
		return printImageNormal;
	}
	public void setPrintImageNormal(int printImageNormal) {
		this.printImageNormal = printImageNormal;
	}
	public int getPrintImageDoubleWidth() {
		return printImageDoubleWidth;
	}
	public void setPrintImageDoubleWidth(int printImageDoubleWidth) {
		this.printImageDoubleWidth = printImageDoubleWidth;
	}
	public int getPrintImageDoubleHeight() {
		return printImageDoubleHeight;
	}
	public void setPrintImageDoubleHeight(int printImageDoubleHeight) {
		this.printImageDoubleHeight = printImageDoubleHeight;
	}
	public int getPrintImageQuadruple() {
		return printImageQuadruple;
	}
	public void setPrintImageQuadruple(int printImageQuadruple) {
		this.printImageQuadruple = printImageQuadruple;
	}
	public byte[] getPrintNvImageCommand() {
		return printNvImageCommand;
	}
	public void setPrintNvImageCommand(byte[] printNvImageCommand) {
		this.printNvImageCommand = printNvImageCommand;
	}
	public byte[] getPrintNvnImageCommandStart() {
		return printNvnImageCommandStart;
	}
	public void setPrintNvnImageCommandStart(byte[] printNvnImageCommandStart) {
		this.printNvnImageCommandStart = printNvnImageCommandStart;
	}
	public byte[] getLineFeedCommand() {
		return lineFeedCommand;
	}
	public void setLineFeedCommand(byte[] lineFeedCommand) {
		this.lineFeedCommand = lineFeedCommand;
	}
	public byte[] getInitPrinterCommand() {
		return initPrinterCommand;
	}
	public void setInitPrinterCommand(byte[] initPrinterCommand) {
		this.initPrinterCommand = initPrinterCommand;
	}
	public byte[] getCutPaperCommand() {
		return cutPaperCommand;
	}
	public void setCutPaperCommand(byte[] cutPaperCommand) {
		this.cutPaperCommand = cutPaperCommand;
	}
	public byte[] getOpenCashDrawerCommand() {
		return openCashDrawerCommand;
	}
	public void setOpenCashDrawerCommand(byte[] openCashDrawerCommand) {
		this.openCashDrawerCommand = openCashDrawerCommand;
	}
	public byte[] getSetPrintModeCommand() {
		return setPrintModeCommand;
	}
	public void setSetPrintModeCommand(byte[] setPrintModeCommand) {
		this.setPrintModeCommand = setPrintModeCommand;
	}
	public byte[] getSetCharsetCommand() {
		return setCharsetCommand;
	}
	public void setSetCharsetCommand(byte[] setCharsetCommand) {
		this.setCharsetCommand = setCharsetCommand;
	}
	public byte[] getSetTextAlignCommand() {
		return setTextAlignCommand;
	}
	public void setSetTextAlignCommand(byte[] setTextAlignCommand) {
		this.setTextAlignCommand = setTextAlignCommand;
	}
	public byte[] getSetDefaultLineSpacingCommand() {
		return setDefaultLineSpacingCommand;
	}
	public void setSetDefaultLineSpacingCommand(byte[] setDefaultLineSpacingCommand) {
		this.setDefaultLineSpacingCommand = setDefaultLineSpacingCommand;
	}
	public byte[] getSetLineSpacingCommand() {
		return setLineSpacingCommand;
	}
	public void setSetLineSpacingCommand(byte[] setLineSpacingCommand) {
		this.setLineSpacingCommand = setLineSpacingCommand;
	}
	public boolean isUseStandartCommands() {
		return useStandartCommands;
	}
	public void setUseStandartCommands(boolean useStandartCommands) {
		this.useStandartCommands = useStandartCommands;
	}
	
	
}