package de.blitzkasse.mobilegastrolite.fiskal.tse.bean;

import java.util.Arrays;

public class TSEStatus { 
	public String Exception;
	public int MaxClients ;
	public int MaxConcurrentTransactions;
	public int UpdateVariants;
	public long SyncExpirationDate;
	public int CurrentClients;
	public int CurrentTransactions;
	public int SyncVariants;
	public int SyncInterval;
	public int WearIndicator;
	public String SerialNumber = "";
	public long ExpiryDate;
	public String PublicKey = "";
	public String[] ErsMappings;
	public String SignatureAlgorithm  = "";
	public int TransactionCounter;
	public int SignatureCounter;
	public int[] OpenTransactions;
	public long TotalMemory;
	public long AvailableMemory;
	
	public boolean isOK () {
		if (Exception == null) return true;
		if (Exception.trim().equals("null")) return true;
		return false;
	}
	
	public String getException() {
		return Exception;
	}
	public void setException(String exception) {
		Exception = exception;
	}
	public int getMaxClients() {
		return MaxClients;
	}
	public void setMaxClients(int maxClients) {
		MaxClients = maxClients;
	}
	public int getMaxConcurrentTransactions() {
		return MaxConcurrentTransactions;
	}
	public void setMaxConcurrentTransactions(int maxConcurrentTransactions) {
		MaxConcurrentTransactions = maxConcurrentTransactions;
	}
	public int getUpdateVariants() {
		return UpdateVariants;
	}
	public void setUpdateVariants(int updateVariants) {
		UpdateVariants = updateVariants;
	}
	public long getSyncExpirationDate() {
		return SyncExpirationDate;
	}
	public void setSyncExpirationDate(long syncExpirationDate) {
		SyncExpirationDate = syncExpirationDate;
	}
	public int getCurrentClients() {
		return CurrentClients;
	}
	public void setCurrentClients(int currentClients) {
		CurrentClients = currentClients;
	}
	public int getCurrentTransactions() {
		return CurrentTransactions;
	}
	public void setCurrentTransactions(int currentTransactions) {
		CurrentTransactions = currentTransactions;
	}
	public int getSyncVariants() {
		return SyncVariants;
	}
	public void setSyncVariants(int syncVariants) {
		SyncVariants = syncVariants;
	}
	public int getSyncInterval() {
		return SyncInterval;
	}
	public void setSyncInterval(int syncInterval) {
		SyncInterval = syncInterval;
	}
	public int getWearIndicator() {
		return WearIndicator;
	}
	public void setWearIndicator(int wearIndicator) {
		WearIndicator = wearIndicator;
	}
	public String getSerialNumber() {
		return SerialNumber;
	}
	public void setSerialNumber(String serialNumber) {
		SerialNumber = serialNumber;
	}
	public long getExpiryDate() {
		return ExpiryDate;
	}
	public void setExpiryDate(long expiryDate) {
		ExpiryDate = expiryDate;
	}
	public String getPublicKey() {
		return PublicKey;
	}
	public void setPublicKey(String publicKey) {
		PublicKey = publicKey;
	}
	public String[] getErsMappings() {
		return ErsMappings;
	}
	public void setErsMappings(String[] ersMappings) {
		ErsMappings = ersMappings;
	}
	public String getSignatureAlgorithm() {
		return SignatureAlgorithm;
	}
	public void setSignatureAlgorithm(String signatureAlgorithm) {
		SignatureAlgorithm = signatureAlgorithm;
	}
	public int getTransactionCounter() {
		return TransactionCounter;
	}
	public void setTransactionCounter(int transactionCounter) {
		TransactionCounter = transactionCounter;
	}
	public int getSignatureCounter() {
		return SignatureCounter;
	}
	public void setSignatureCounter(int signatureCounter) {
		SignatureCounter = signatureCounter;
	}
	public int[] getOpenTransactions() {
		return OpenTransactions;
	}
	public void setOpenTransactions(int[] openTransactions) {
		OpenTransactions = openTransactions;
	}
	public long getTotalMemory() {
		return TotalMemory;
	}
	public void setTotalMemory(long totalMemory) {
		TotalMemory = totalMemory;
	}
	public long getAvailableMemory() {
		return AvailableMemory;
	}
	public void setAvailableMemory(long availableMemory) {
		AvailableMemory = availableMemory;
	}
	
	
	@Override
	public String toString() {
		return "TSEStatus [Exception=" + Exception + ", MaxClients="
				+ MaxClients + ", MaxConcurrentTransactions="
				+ MaxConcurrentTransactions + ", UpdateVariants="
				+ UpdateVariants + ", SyncExpirationDate=" + SyncExpirationDate
				+ ", CurrentClients=" + CurrentClients
				+ ", CurrentTransactions=" + CurrentTransactions
				+ ", SyncVariants=" + SyncVariants + ", SyncInterval="
				+ SyncInterval + ", WearIndicator=" + WearIndicator
				+ ", SerialNumber=" + SerialNumber + ", ExpiryDate="
				+ ExpiryDate + ", PublicKey=" + PublicKey + ", ErsMappings="
				+ Arrays.toString(ErsMappings) + ", SignatureAlgorithm="
				+ SignatureAlgorithm + ", TransactionCounter="
				+ TransactionCounter + ", SignatureCounter=" + SignatureCounter
				+ ", OpenTransactions=" + Arrays.toString(OpenTransactions)
				+ ", TotalMemory=" + TotalMemory + ", AvailableMemory="
				+ AvailableMemory + "]";
	}
	
	
	
	
}
    
    
