package de.blitzkasse.mobilegastrolite.fiskal.tse.bean;

import java.util.Arrays;

public class TSETransactionResult {

    private long LogTime;
    private String SerialNumber = "";
    private int SignatureCounter;
    private String SignatureValue;
    private int TransactionId;
    private int Result;
    private long SyncExpirationDate;
    private String ProcessData = "";


    public boolean isOK () {
		if (this.SerialNumber == null) return false;
		if (this.SignatureValue == null) return false;
		if (this.ProcessData == null) return false;
		if (this.Result == -1) return false;
		return true;
	}


	public long getLogTime() {
		return LogTime;
	}
	public void setLogTime(long logTime) {
		LogTime = logTime;
	}
	public String getSerialNumber() {
		return SerialNumber;
	}
	public void setSerialNumber(String serialNumber) {
		SerialNumber = serialNumber;
	}
	public int getSignatureCounter() {
		return SignatureCounter;
	}
	public void setSignatureCounter(int signatureCounter) {
		SignatureCounter = signatureCounter;
	}
	public String getSignatureValue() {
		return SignatureValue;
	}
	public void setSignatureValue(String signatureValue) {
		SignatureValue = signatureValue;
	}
	public int getTransactionId() {
		return TransactionId;
	}
	public void setTransactionId(int transactionId) {
		TransactionId = transactionId;
	}
	public int getResult() {
		return Result;
	}
	public void setResult(int result) {
		Result = result;
	}
	public long getSyncExpirationDate() {
		return SyncExpirationDate;
	}
	public void setSyncExpirationDate(long syncExpirationDate) {
		SyncExpirationDate = syncExpirationDate;
	}
	public String getProcessData() {
		return ProcessData;
	}
	public void setProcessData(String processData) {
		ProcessData = processData;
	}
	@Override
	public String toString() {
		return "TSETransactionResult [LogTime=" + LogTime + ", SerialNumber="
				+ SerialNumber + ", SignatureCounter=" + SignatureCounter
				+ ", SignatureValue=" + SignatureValue + ", TransactionId="
				+ TransactionId + ", Result=" + Result
				+ ", SyncExpirationDate=" + SyncExpirationDate
				+ ", ProcessData=" + ProcessData + "]";
	}

      
    
    
}
